Need help with oas-kit?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

Mermade
499 Stars 100 Forks BSD 3-Clause "New" or "Revised" License 1.2K Commits 12 Opened issues

Description

Convert Swagger 2.0 definitions to OpenAPI 3.0 and resolve/validate/lint

Services available

!
?

Need anything else?

Contributors list

OAS-Kit

This is the mono-repo for the following related projects

Documentation

Online converter/validator

Supported Node.js versions

Any LTS version. It is not recommended to use Node.js 12.17.x,12.18.x or 12.19.x due to an http2 bug.

Development

  • clone the repository
  • npm i
    in the top level directory
  • npx lerna bootstrap

Please try and keep commits related to a single package or piece of functionality. Please review the CONTRIBUTING.md for additional details.

Supporting development

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.